package cn.com.ctop.common.module.service;

import com.alibaba.fastjson.JSONObject;

import java.util.List;
import java.util.Map;

/**
 * 获取项目列表
 */
public interface IBytedanceProjectService {
    String updProjectStatus(String token, Long accountId, Long projectId, String disable);

    JSONObject getTokenByAccountId(Long advertiserId);

    void getPromotionList(Long accountId, String token, List<Long> ids, Map<Long, JSONObject> projectMap, int page);

    void sendAuthFailure(Long accountId);
}
